> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create plugin assignments

> Assign one or more plugins to multiple server groups and persistent servers atomically



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json post /v0/plugin-assignments/bulk-create
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/plugin-assignments/bulk-create:
    post:
      tags:
        - plugin-assignments
      summary: Bulk create plugin assignments
      description: >-
        Assign one or more plugins to multiple server groups and persistent
        servers atomically
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.BulkCreatePluginAssignmentsRequest'
        description: Plugin assignment details
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/models.BulkCreatePluginAssignmentsResponse
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.BulkCreatePluginAssignmentsRequest:
      properties:
        persistent_server_ids:
          items:
            type: string
          type: array
          uniqueItems: false
        plugins:
          items:
            $ref: '#/components/schemas/models.PluginReferenceInput'
          type: array
          uniqueItems: false
        server_group_ids:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    models.BulkCreatePluginAssignmentsResponse:
      properties:
        created_plugin_assignments:
          type: integer
        message:
          type: string
        skipped_plugin_assignments:
          type: integer
        target_count:
          type: integer
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.PluginReferenceInput:
      properties:
        plugin_id:
          type: string
        plugin_name:
          type: string
        required:
          type: boolean
        source_type:
          type: string
        source_value:
          type: string
        version:
          type: string
      type: object

````